Đến nội dung


Hình ảnh

Tạo text,style,dimstyle mau


  • Please log in to reply
9 replies to this topic

#1 Updatelisp

Updatelisp

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 03 April 2008 - 05:46 PM

Mình có lisp tạo text ,style mẫu rồi nhưng không biết cách nào để tạo dimstyle sẵn!Mình cần đoạn lisp ve món này , mong các pro giúp !!
  • 0
Thân Z707!
Không nên hiểu và cũng không nên,không nên hiểu!

#2 ts088

ts088

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 03 April 2008 - 11:19 PM

Mình có lisp tạo text ,style mẫu rồi nhưng không biết cách nào để tạo dimstyle sẵn!Mình cần đoạn lisp ve món này , mong các pro giúp !!


Bạn có thể tham khảo đoạn code sau:
(defun c:Reup ()
(setvar "cmdecho" 0)
(command "-layer" "m" "Hid" "l" "Hidden" "Hid" "c" "8" "Hid" "")
(command "-layer" "m" "Cen" "l" "Center" "Cen" "c" "8" "Cen" "")
(command "-layer" "m" "Dim" "c" "8" "" "")
(command "-layer" "m" "Main" "c" "5" "" "")
(command "-layer" "m" "Hatch" "c" "8" "" "")
(command "-layer" "m" "Light" "c" "4" "" "")
(command "-layer" "m" "Text" "c" "7" "" "")
(command "-layer" "m" "DM34" "c" "34" "" "")
(command "-layer" "m" "DM52" "c" "52" "" "")
(command "-layer" "m" "Slight" "c" "8" "" "")
(command "-layer" "s" "Main" "")
(command "style" "Vnhel" "vni-helve" "4" "0.8" "" "" "")
(command "style" "1vni" "1vni" "2" "0.8" "" "" "")

(vl-load-com) ;tai phan mo rong trong Vlisp

(setq scl (getstring "\nTY LE BAN VE: "))

(while (/= (substr scl 1 2) "1/")
(setq sclto (getstring "\nBAN NHAP TY LE THEO KIEU: 1/...: "))
(setq scl sclto)
)

(setq scal (atof (substr scl 3 )))
(setq tyle (/ scal 1000))

(setvar "DIMALT" 0)
(setvar "DIMBLK" "")
(setvar "DIMBLK1" "")
(setvar "DIMBLK2" "")
(setvar "DIMASZ" 1.5)
(setvar "DIMCEN" 2)
(setvar "DIMCLRD" 8)
(setvar "DIMDLE" 0)
(setvar "DIMDLI" 0.75)
(setvar "DIMCLRE" 8)
(setvar "DIMEXE" 0.75)
(setvar "DIMEXO" 0.75)
(setvar "DIMTOFL" 1)
(setvar "DIMTMOVE" 2)
(setvar "DIMLDRBLK" "")
(setvar "DIMDEC" 2)
(setvar "DIMCLRT" 7)
(setvar "DIMTXT" 2)
(setvar "DIMTFAC" 1)
(setvar "DIMLFAC" tyle)
(setvar "DIMTIX" 1)
(setvar "DIMTIH" 0)
(setvar "DIMGAP" 0.75)
(setvar "DIMTOH" 1)
(setvar "DIMTAD" 1)
(setvar "DIMTXSTY" "1vni")
(setvar "DIMTDEC" 0)

(setq dsn (strcat "TL1-" (substr scl 3 )))
(setq ao (vlax-get-acad-object))
(setq ad (vla-get-ActiveDocument ao))
(setq obj (vla-add (vla-get-dimstyles ad) dsn))
(vla-copyfrom Obj ad)
(vla-put-activedimstyle ad Obj)

(princ)
)
  • 1

#3 Updatelisp

Updatelisp

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 07 April 2008 - 07:15 PM

Bạn có thể tham khảo đoạn code sau:
(defun c:Reup ()
(setvar "cmdecho" 0)
(command "-layer" "m" "Hid" "l" "Hidden" "Hid" "c" "8" "Hid" "")
(command "-layer" "m" "Cen" "l" "Center" "Cen" "c" "8" "Cen" "")
(command "-layer" "m" "Dim" "c" "8" "" "")
(command "-layer" "m" "Main" "c" "5" "" "")
(command "-layer" "m" "Hatch" "c" "8" "" "")
(command "-layer" "m" "Light" "c" "4" "" "")
(command "-layer" "m" "Text" "c" "7" "" "")
(command "-layer" "m" "DM34" "c" "34" "" "")
(command "-layer" "m" "DM52" "c" "52" "" "")
(command "-layer" "m" "Slight" "c" "8" "" "")
(command "-layer" "s" "Main" "")
(command "style" "Vnhel" "vni-helve" "4" "0.8" "" "" "")
(command "style" "1vni" "1vni" "2" "0.8" "" "" "")

(vl-load-com) ;tai phan mo rong trong Vlisp

(setq scl (getstring "\nTY LE BAN VE: "))

(while (/= (substr scl 1 2) "1/")
(setq sclto (getstring "\nBAN NHAP TY LE THEO KIEU: 1/...: "))
(setq scl sclto)
)

(setq scal (atof (substr scl 3 )))
(setq tyle (/ scal 1000))

(setvar "DIMALT" 0)
(setvar "DIMBLK" "")
(setvar "DIMBLK1" "")
(setvar "DIMBLK2" "")
(setvar "DIMASZ" 1.5)
(setvar "DIMCEN" 2)
(setvar "DIMCLRD" 8)
(setvar "DIMDLE" 0)
(setvar "DIMDLI" 0.75)
(setvar "DIMCLRE" 8)
(setvar "DIMEXE" 0.75)
(setvar "DIMEXO" 0.75)
(setvar "DIMTOFL" 1)
(setvar "DIMTMOVE" 2)
(setvar "DIMLDRBLK" "")
(setvar "DIMDEC" 2)
(setvar "DIMCLRT" 7)
(setvar "DIMTXT" 2)
(setvar "DIMTFAC" 1)
(setvar "DIMLFAC" tyle)
(setvar "DIMTIX" 1)
(setvar "DIMTIH" 0)
(setvar "DIMGAP" 0.75)
(setvar "DIMTOH" 1)
(setvar "DIMTAD" 1)
(setvar "DIMTXSTY" "1vni")
(setvar "DIMTDEC" 0)

(setq dsn (strcat "TL1-" (substr scl 3 )))
(setq ao (vlax-get-acad-object))
(setq ad (vla-get-ActiveDocument ao))
(setq obj (vla-add (vla-get-dimstyles ad) dsn))
(vla-copyfrom Obj ad)
(vla-put-activedimstyle ad Obj)

(princ)
)

Thanks! mình đã làm được dim style cho mình .Tuy nhiên cũng còn một vài lỗi ,lúc nào hoàn thiện mình gửi cho các bạn!
  • 0
Thân Z707!
Không nên hiểu và cũng không nên,không nên hiểu!

#4 Updatelisp

Updatelisp

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 26 April 2008 - 02:40 PM

Thanks! mình đã làm được dim style cho mình .Tuy nhiên cũng còn một vài lỗi ,lúc nào hoàn thiện mình gửi cho các bạn!

Đoạn code mình viết được, các bạn tham khảo nhé
;-------------------------------Tao layer - textstyle-dimstyle mau----------------------------
(defun c:suu( )
(command "layer" "new" "De" "c" "9" "De""T" "De" "S" "De" "")
(command "layer" "new" "1" "c" "1" "1" "T" "1" "S" "1" "")
(command "layer" "new" "2" "c" "2" "2" "T" "1" "S" "2" "")
(command "layer" "new" "3" "c" "3" "3" "T" "1" "S" "3""")
(command "layer" "new" "4" "c" "4" "4" "T" "1" "S" "4""")
(command "layer" "new" "5" "c" "5" "5" "T" "1" "S" "5""")
(command "layer" "new" "6" "c" "6" "6" "T" "1" "S" "6""")
(command "layer" "new" "8" "c" "8" "8" "T" "1" "S" "8""")
(command "layer" "new" "9" "c" "9" "9" "T" "1" "S" "9""")
(command "layer" "new" "7" "c" "7" "7""T" "1" "S" "7" "")
(command "style" "ST1" "vni-helve" "10" "0.7" "" "" "")
(command "style" "ST2" "vni-helve-condense" "20" "0.7" "" "" "")
(command "style" "S20" "vni-helve-condense" "20" "0.7" "" "" "")
(command "style" "S7" "vni-helve-condense" "7" "0.7" "" "" "")
(command "style" "S5" "vni-helve-condense" "5" "0.7" "" "" "")
(command "style" "S4G" "vni-helve-condense" "4" "0.7" "" "" "")
(command "style" "S3G" "vni-helve-condense" "3" "0.7" "" "" "")
(command "style" "S2G" "vni-helve-condense" "2" "0.7" "" "" "")
(command "style" "S4KT" "simplex.shx" 4 "0.6" "0" "N" "N" "N")
(command "style" "S2KT" "simplex.shx" 2 "0.6" "0" "N" "N" "N")
(command "style" "S3KT" "simplex.shx" 3 "0.6" "0" "N" "N" "N")
(setvar "DIMBLK" "Open30")
(setvar "DIMASZ" 1)
(setvar "DIMCEN" 1)
(setvar "DIMCLRD" 2)
(setvar "DIMDLI" 2)
(setvar "DIMDLE" 0)
(setvar "DIMCLRE" 9)
(setvar "DIMEXE" 1)
(setvar "DIMEXO" 1)
(setvar "DIMLDRBLK" "OPEN30")
(setvar "DIMDEC" 0)
(setvar "DIMCLRT" 7)
(setvar "DIMTXT" 3)
(setvar "DIMGAP" 1)
(setvar "DIMJUST" 0)
(setvar "DIMTAD" 1)
(setvar "DIMTXSTY" "S3KT" )
(setvar "DIMTDEC" 0 )
(setvar "DIMTFAC" 1)
(setvar "DIMTZIN" 0)
(setvar "DIMZIN" 0 )
(command "dimstyle" "s" "Suu" )
)
Ở đây mình mới làm có 1 dimstyle.Với việc tạo nhiều Dimstyle thì mình chưa thực hiện được.Các bạn có cách nào khác để viết cho các Dimstyle khác không?
  • 1
Thân Z707!
Không nên hiểu và cũng không nên,không nên hiểu!

#5 hungbv

hungbv

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 26 April 2008 - 11:47 PM

Đoạn code mình viết được, các bạn tham khảo nhé
;-------------------------------Tao layer - textstyle-dimstyle mau----------------------------
(defun c:suu( )
(command "layer" "new" "De" "c" "9" "De""T" "De" "S" "De" "")
(command "layer" "new" "1" "c" "1" "1" "T" "1" "S" "1" "")
(command "layer" "new" "2" "c" "2" "2" "T" "1" "S" "2" "")
(command "layer" "new" "3" "c" "3" "3" "T" "1" "S" "3""")
(command "layer" "new" "4" "c" "4" "4" "T" "1" "S" "4""")
(command "layer" "new" "5" "c" "5" "5" "T" "1" "S" "5""")
(command "layer" "new" "6" "c" "6" "6" "T" "1" "S" "6""")
(command "layer" "new" "8" "c" "8" "8" "T" "1" "S" "8""")
(command "layer" "new" "9" "c" "9" "9" "T" "1" "S" "9""")
(command "layer" "new" "7" "c" "7" "7""T" "1" "S" "7" "")
(command "style" "ST1" "vni-helve" "10" "0.7" "" "" "")
(command "style" "ST2" "vni-helve-condense" "20" "0.7" "" "" "")
(command "style" "S20" "vni-helve-condense" "20" "0.7" "" "" "")
(command "style" "S7" "vni-helve-condense" "7" "0.7" "" "" "")
(command "style" "S5" "vni-helve-condense" "5" "0.7" "" "" "")
(command "style" "S4G" "vni-helve-condense" "4" "0.7" "" "" "")
(command "style" "S3G" "vni-helve-condense" "3" "0.7" "" "" "")
(command "style" "S2G" "vni-helve-condense" "2" "0.7" "" "" "")
(command "style" "S4KT" "simplex.shx" 4 "0.6" "0" "N" "N" "N")
(command "style" "S2KT" "simplex.shx" 2 "0.6" "0" "N" "N" "N")
(command "style" "S3KT" "simplex.shx" 3 "0.6" "0" "N" "N" "N")
(setvar "DIMBLK" "Open30")
(setvar "DIMASZ" 1)
(setvar "DIMCEN" 1)
(setvar "DIMCLRD" 2)
(setvar "DIMDLI" 2)
(setvar "DIMDLE" 0)
(setvar "DIMCLRE" 9)
(setvar "DIMEXE" 1)
(setvar "DIMEXO" 1)
(setvar "DIMLDRBLK" "OPEN30")
(setvar "DIMDEC" 0)
(setvar "DIMCLRT" 7)
(setvar "DIMTXT" 3)
(setvar "DIMGAP" 1)
(setvar "DIMJUST" 0)
(setvar "DIMTAD" 1)
(setvar "DIMTXSTY" "S3KT" )
(setvar "DIMTDEC" 0 )
(setvar "DIMTFAC" 1)
(setvar "DIMTZIN" 0)
(setvar "DIMZIN" 0 )
(command "dimstyle" "s" "Suu" )
)
Ở đây mình mới làm có 1 dimstyle.Với việc tạo nhiều Dimstyle thì mình chưa thực hiện được.Các bạn có cách nào khác để viết cho các Dimstyle khác không?

Bạn thử lisp này xem có đúng yêu cầu của bạn không: http://www.cadviet.c...les/Tao_Dim.lsp
  • 1

#6 Updatelisp

Updatelisp

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 27 April 2008 - 08:09 PM

Bạn thử lisp này xem có đúng yêu cầu của bạn không: http://www.cadviet.com/upfiles/Tao_Dim.lsp

Lisp này rất hay.Nếu như mình tổng hợp tất cả các Dimstyle lại bằng một lệnh thì chắc không chạy được rồi.Thanhks!
  • 0
Thân Z707!
Không nên hiểu và cũng không nên,không nên hiểu!

#7 Ar_Chanwoo

Ar_Chanwoo

    biết lệnh break

  • Members
  • PipPipPipPip
  • 224 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 19 May 2008 - 12:10 AM

Lisp này rất hay.Nếu như mình tổng hợp tất cả các Dimstyle lại bằng một lệnh thì chắc không chạy được rồi.Thanhks!

Vậy Text style thì sao nhỉ ! Tạo textstyle với layer, màu, khích thước(với từng tỷ lệ bản vẽ riêng),.....
  • 0

#8 Updatelisp

Updatelisp

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 23 May 2008 - 01:28 PM

Vậy Text style thì sao nhỉ ! Tạo textstyle với layer, màu, khích thước(với từng tỷ lệ bản vẽ riêng),.....

Cái này chỉ cần mình tạo cho 1 bản vẽ thôi, còn vẽ với tỉ lệ nào thì mình gán vào thôi mà.Textstyle thì mình tạo ra như trên rồi. Ở đây chỉ vẽ tỉ lệ 1/1 còn muốn tỉ lệ bao nhiêu thì ta sang Layout chỉnh. tất nhiên có một đoạn lisp để mình chỉnh tỉ lệ tương ứng với các textstyle bên Model rùi!!
  • 0
Thân Z707!
Không nên hiểu và cũng không nên,không nên hiểu!

#9 quancomeon

quancomeon

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 52 (tàm tạm)

Đã gửi 28 May 2008 - 02:25 PM

tại sao tôi làm không đựoc nhỉ, tôi đã copy đoạn text dán vào fiel notepad, đổi tên *.lsp , app load lên mà không đưọc. ngay ca file TAO-DIM.lsp cung vậy , tôi appload lên cung không được. Tôi đã tìm trong diễn đàn tìm đựoc nhiều file, đoạn code nhưng khi áp dụng thì chưa thành công. mọi người thử coi lại , thử viết đoạn code khác cho tôi cái. thanhks a lot
  • 0

#10 arch_chien111

arch_chien111

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 28 May 2008 - 11:51 PM

tại sao tôi làm không đựoc nhỉ, tôi đã copy đoạn text dán vào fiel notepad, đổi tên *.lsp , app load lên mà không đưọc. ngay ca file TAO-DIM.lsp cung vậy , tôi appload lên cung không được. Tôi đã tìm trong diễn đàn tìm đựoc nhiều file, đoạn code nhưng khi áp dụng thì chưa thành công. mọi người thử coi lại , thử viết đoạn code khác cho tôi cái. thanhks a lot

sau khi thực hiện mà không thành công ! Bạn nhấn F2 rồi copy phần báo lỗi lên để mọi nguời biết mà sửa cho b!
  • 1
Children of bodom